> For the complete documentation index, see [llms.txt](https://docs.pixiebrix.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.pixiebrix.com/release-notes/release-notes-archive/release-1.4.0.md).

# Release 1.4.0

:information\_source: This release is the first Chrome Web Store release with the content from :no\_entry\_sign:[Release 1.3.2](/release-notes/release-notes-archive/release-1.3.2.md)

### ✨ Enhancements

* `apiVersion: v2` of the Brick definition manifest. In `v2`, data only flows between bricks via `outputKey`s. For backward compatibility, bricks without an `apiVersion` directive default to the `v1` behavior
* Enterprise: add support for a `extensionVersion` directive in the `metadata` section of blueprints. The directive accepts a range expression, e.g., `>=1.4.0` to require browser extension version 1.4.0 or later
* Enterprise: ability to pause deployments from the Admin console; ability to restrict brick installs/uninstalls by restricted team members. See [Managing Deployments](https://www.notion.so/Managing-Deployments-518b2da80dee4e27ac532d9030e15e92?pvs=21)
* Add support for `rootMode` directive in block configurations to control whether to inherit the root element, or to use the document as the root

### 🐛 Bug Fixes

* Fix bug with OAuth2- and token-based authentication in clean PixieBrix installs
* Clean up unused integration dependency declaration when switching service auths or removing a brick in the Page Editor
* Enterprise: deployment metadata wasn't being captured for trigger and panel extension point telemetry
* Remove unused system notifications from optional permissions in manifest

### 🎨 UI Improvements

* Brick selection UI style; select a brick with a single click if you already know what you're looking for


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.pixiebrix.com/release-notes/release-notes-archive/release-1.4.0.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
